Skip to content

v2_ssh_keys_create

POST
/api/v2/ssh-keys/
curl --request POST \
--url https://example.com/api/v2/ssh-keys/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "title": "example", "public_key": "example" }'

Register a new SSH public key for key-based VM access.

object
title
required
string
>= 1 characters
public_key
required
string
>= 1 characters

Example generated

{
"title": "example",
"public_key": "example"
}
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
object
key
additional properties

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"data": {
"additionalProperty": "example"
}
}
Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string

Example generated

{
"success": true,
"msg": {
"msg_kind": "example",
"msg_text": "example"
}
}